> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get collections schemadynamicfields



## OpenAPI

````yaml /api-reference/4.2/service-schema.json get /collections/{collection}/schema/dynamicfields
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service schema
servers:
  - url: /api/apollo/
security: []
tags:
  - name: schema
paths:
  /collections/{collection}/schema/dynamicfields:
    get:
      tags:
        - 4.2 Schema API
      operationId: getDynamicFields
      parameters:
        - name: collection
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DynamicField'
components:
  schemas:
    DynamicField:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
        indexed:
          type: boolean
          default: false
        stored:
          type: boolean
          default: false
        multiValued:
          type: boolean
          default: false
        required:
          type: boolean
          default: false
        docValues:
          type: boolean
          default: false
        omitNorms:
          type: boolean
          default: false
        omitPositions:
          type: boolean
          default: false
        omitTermFreqAndPositions:
          type: boolean
          default: false
        termVectors:
          type: boolean
          default: false
        termPositions:
          type: boolean
          default: false
        termOffsets:
          type: boolean
          default: false
        copyDests:
          type: array
          items:
            type: string
        copySources:
          type: array
          items:
            type: string
        numDocs:
          type: integer
          format: int32
        indexFields:
          type: array
          items:
            $ref: '#/components/schemas/IndexField'
        default:
          type: string
    IndexField:
      type: object
      properties:
        name:
          type: string
        numDocs:
          type: integer
          format: int32

````